package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : vip等级枚举
 */
@Getter
@AllArgsConstructor
public enum VipLevelEnum {

    /**
     * vip_0
     */
    VIP_LEVEL_ZERO(0, "0"),

    /**
     * vip_1
     */
    VIP_LEVEL_ONE(1, "1"),

    /**
     * vip_2
     */
    VIP_LEVEL_TWO(2, "2"),

    /**
     * vip_3
     */
    VIP_LEVEL_THREE(3, "3"),

    /**
     * vip_4
     */
    VIP_LEVEL_FOUR(4, "4"),

    /**
     * vip_5
     */
    VIP_LEVEL_FIVE(5, "5"),

    /**
     * vip_6
     */
    VIP_LEVEL_SIX(6, "6"),

    /**
     * vip_7
     */
    VIP_LEVEL_SEVEN(7, "7"),

    /**
     * vip_8
     */
    VIP_LEVEL_EIGHT(8, "8"),

    /**
     * vip_9
     */
    VIP_LEVEL_NINE(9, "9"),

    /**
     * vip_10
     */
    VIP_LEVEL_TEN(10, "10"),

    /**
     * vip_10以上
     */
    VIP_LEVEL_GT_TEN(1010, "10以上");

    /**
     * vip等级
     */
    private Integer vipLevel;

    /**
     * vip等级名称
     */
    private String vipLevelName;
}
